# Uses of Class
org.springframework.mail.SimpleMailMessage

Packages that use SimpleMailMessage
Package
Description
org.springframework.mail
Spring's generic mail infrastructure.
org.springframework.mail.javamail
JavaMail support for Spring's mail infrastructure.

## Uses of SimpleMailMessage in org.springframework.mail

Methods in org.springframework.mail with parameters of type SimpleMailMessage
Modifier and Type
Method
Description
`default void`
MailSender.`send(SimpleMailMessage simpleMessage)`
Send the given simple mail message.
`void`
MailSender.`send(SimpleMailMessage... simpleMessages)`
Send the given array of simple mail messages in batch.
Constructors in org.springframework.mail with parameters of type SimpleMailMessage
Modifier
Constructor
Description
``
`SimpleMailMessage(SimpleMailMessage original)`
Copy constructor for creating a new `SimpleMailMessage` from the state of an existing `SimpleMailMessage` instance.

## Uses of SimpleMailMessage in org.springframework.mail.javamail

Methods in org.springframework.mail.javamail with parameters of type SimpleMailMessage
Modifier and Type
Method
Description
`void`
JavaMailSenderImpl.`send(SimpleMailMessage... simpleMessages)`